Tag Parser: TagParser::Av1Configuration Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::Av1Configuration Class Reference

The Av1Configuration struct provides a parser for AV1 configuration found in ISOBMFF files. More...

`#include <av1configuration.h>`

## Public Member Functions
| Av1Configuration ()
| Constructs an empty AVC configuration.
void | parse (CppUtilities::BinaryReader &reader, std::uint64_t maxSize, Diagnostics &diag)
| Parses the AV1 configuration using the specified reader.

## Public Attributes
std::uint64_t | markerAndVersion
std::uint64_t | profileAndLevel
std::uint8_t | tier
std::uint8_t | highBitdepth
std::uint8_t | twelveBit
std::uint8_t | monochrome
std::uint8_t | chromaSubsamplingX
std::uint8_t | chromaSubsamplingY
std::uint16_t | chromaSamplePosition

## Detailed Description

The Av1Configuration struct provides a parser for AV1 configuration found in ISOBMFF files.

Definition at line 17 of file av1configuration.h.

## Constructor & Destructor Documentation

## ◆ Av1Configuration()

TagParser::Av1Configuration::Av1Configuration | ( |  | ) |
| inline

Constructs an empty AVC configuration.

Definition at line 35 of file av1configuration.h.

## Member Function Documentation

## ◆ parse()

void TagParser::Av1Configuration::parse | ( | CppUtilities::BinaryReader & | reader,
|  | std::uint64_t | maxSize,
|  | Diagnostics & | diag )

Parses the AV1 configuration using the specified reader.

Exceptions

  Throws | TruncatedDataException() when the config size exceeds the specified maxSize.

Remarks
  Logging/reporting parsing errors is not implemented yet.

Todo
  Provide implementation

Definition at line 24 of file av1configuration.cpp.

## Member Data Documentation

## ◆ chromaSamplePosition

std::uint16_t TagParser::Av1Configuration::chromaSamplePosition

Definition at line 27 of file av1configuration.h.

## ◆ chromaSubsamplingX

std::uint8_t TagParser::Av1Configuration::chromaSubsamplingX

Definition at line 25 of file av1configuration.h.

## ◆ chromaSubsamplingY

std::uint8_t TagParser::Av1Configuration::chromaSubsamplingY

Definition at line 26 of file av1configuration.h.

## ◆ highBitdepth

std::uint8_t TagParser::Av1Configuration::highBitdepth

Definition at line 22 of file av1configuration.h.

## ◆ markerAndVersion

std::uint64_t TagParser::Av1Configuration::markerAndVersion

Definition at line 19 of file av1configuration.h.

## ◆ monochrome

std::uint8_t TagParser::Av1Configuration::monochrome

Definition at line 24 of file av1configuration.h.

## ◆ profileAndLevel

std::uint64_t TagParser::Av1Configuration::profileAndLevel

Definition at line 20 of file av1configuration.h.

## ◆ tier

std::uint8_t TagParser::Av1Configuration::tier

Definition at line 21 of file av1configuration.h.

## ◆ twelveBit

std::uint8_t TagParser::Av1Configuration::twelveBit

Definition at line 23 of file av1configuration.h.

The documentation for this class was generated from the following files:

- av1/av1configuration.h
- av1/av1configuration.cpp